[![Build Status](https://travis-ci.org/worthmine/Data-UUID-Base64URLSafe.svg?branch=master)](https://travis-ci.org/worthmine/Data-UUID-Base64URLSafe)
# NAME

    Data::UUID::Base64URLSafe - getting Data::UUID with URLSafe strings

# SYNOPSIS

    use Data::UUID::Base64URLSafe;
    my $dub = Data::UUID::Base64URLSafe->new();
    my $uuid = $dub->create_b64url();                                  # from nothing
    $uuid = $dub->create_from_name_b64url( <namespace>, <string> );    # from namespace and string
    my $str = $dub->from_b64string(<UUID-URLSafe>);                    # decoding from UUID-URLSafe
    my $uuid2 = $dub->to_b64string($str);                              # encoding from binary

# DESCRIPTION

Data::UUID::Base64URLSafe is a wrapper module for Data::UUID.
It makes 22 length strings with URLS-Safe characters.

It will help you when you wanna make user-ID on your web applications.

# LICENSE

Copyright (C) Yuki Yoshida.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

# AUTHOR

Yuki Yoshida <worthmine@gmail.com>
